### Method

# Ide CompletionProvider activate_poposal

#### Declaration

    void
    ide_completion_provider_activate_poposal (
      IdeCompletionProvider* self,
      IdeCompletionContext* context,
      IdeCompletionProposal* proposal,
      const GdkEventKey* key
    )

#### Description

No description available.

#### Parameters

`context` | `IdeCompletionContext`
| No description available.
| The data is owned by the caller of the function.
`proposal` | `IdeCompletionProposal`
| No description available.
| The data is owned by the caller of the function.
`key` | `GdkEventKey`
| No description available.
| The data is owned by the caller of the function.